# @pega/commitlint-plugin

Pegasystems front-end Commitlint plugin.

## @pega/multi-scope-enum

Allows scope to be restricted to a certain set of options, with custom separator and whitespace trimming support.
Setting enable to `'never'` instead disallows the provided scopes.

```ts
interface Config {
  /** @default [] */
  scopes?: string[];
  /** @default /\\|\/|,/ */
  separator?: string | RegExp;
  /** @default false */
  trim?: boolean;
}
```

## @pega/header-reference

Requires the header to contain a reference ID.
Setting enable to `'never'` instead disallows reference IDs in the header.

## @pega/reference-action-enum

Allows reference actions to be restricted to a certain set of options.
Setting enable to `'never'` instead disallows to provided actions.

```ts
interface Config {
  /** @default ['close', 'closes', 'closed', 'fix', 'fixes', 'fixed', 'resolve', 'resolves', 'resolved'] */
  actions?: string[];
  /** @default false */
  caseSensitive?: boolean;
}
```

## @pega/reference-order

Enforces that references in each group appear in either ascending or descending order.
Setting enable to `'never'` will cause the rule to always pass.

```ts
interface Config {
  /** @default ['#'] */
  prefixes?: string[];
  /** @default true */
  ascending?: boolean;
}
```

## @pega/spellcheck

Runs CSpell on the commit message, ignoring comment lines.
Setting enable to `'never'` will cause the rule to always pass.
